**Full name**: reasoningEngines.ws.v1beta1.projects.locations.reasoningEngines.api.bidiInvokeReasoningEngine

Invokes reasoning engine with arbitrary WebSocket requests for bidi streaming

### Endpoint

get `https://{service-endpoint}/reasoningEngines/ws/v1beta1/{name}/api/**`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`name` `string` Optional. The name of the ReasoningEngine. Format: `projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}` or `projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}/runtimeRevisions/{runtimeRevision}`

### Query parameters

`httpBody` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/HttpBody`)`` Optional. The invoke method input. Supports arbitrary data payload.

### Request body

The request body must be empty.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### IAM Permissions

Requires **one of** the following [IAM](https://cloud.google.com/iam/docs) permissions on the `name` resource, depending on the resource type:

- `aiplatform.reasoningEngines.query`
- `aiplatform.reasoningEngineRuntimeRevisions.query`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).